#include <bits/stdc++.h>
using namespace std;

int n, m;
int a[100005];
bool mat[100005][10005];
long long res;

void doIt(int row)
{
    if(row == n){
        long long cur = 0;
        for(int j = 0; j < m; ++j){
            long long a = 0, b = 0;
            for(int i = 0; i < n; ++i){
                if(mat[i][j]){++a;}
                else{++b;}
            }
            cur += a * b;
        }
        res = min(res, cur);
    }
    else{
        for(int j = 0; j < m; ++j){
            mat[row][j] = j < a[row] ? true : false;
        }
        doIt(row + 1);

        for(int j = 0; j < m; ++j){
            mat[row][j] = j < a[row] ? false : true;
        }
        doIt(row + 1);
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n >> m;

    for(int i = 0; i < n; ++i){cin >> a[i];}

    res = 1e17;
    doIt(0);

    cout << res << "\n";

    return 0;
}